Skip to content

WireCorpVer⁠

Perform various operations for Symitar parameters.

Operations⁠

getWireCorpVerSelectFields⁠

POST

Execute the persistent ParameterService getWireCorpVerSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getWireCorpVerSelectFields
POST /nexum/627/persistent/parameter/getWireCorpVerSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllWireCorpVerFields": true,
    "WireCorpVerFields": {
      "CorpEnteredMbrVerifyMins": true,
      "NewWireMinVerifyAmt": true,
      "PreAuthMinVerifyAmt": true,
      "VerifyPreAuthTemplateEdits": true,
      "WesternUnionMinVerifyAmt": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateWireCorpVerByID⁠

POST

Execute the persistent ParameterService updateWireCorpVerByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateWireCorpVerByID
POST /nexum/627/persistent/parameter/updateWireCorpVerByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "WireCorpVerFields": {
    "CorpEnteredMbrVerifyMins": 0,
    "NewWireMinVerifyAmt": 0,
    "PreAuthMinVerifyAmt": 0,
    "VerifyPreAuthTemplateEdits": 0,
    "WesternUnionMinVerifyAmt": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}